package com.ruoyi.project.system.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.project.system.domain.ProductCraft;
import com.ruoyi.project.system.mapper.ProductCraftMapper;
import com.ruoyi.project.system.service.IProductCraftService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 工艺Service业务层处理
 *
 * @author zhu
 * @date 2023-10-24
 */
@Service
public class ProductCraftServiceImpl implements IProductCraftService {
    @Autowired
    private ProductCraftMapper productCraftMapper;

    /**
     * 查询工艺
     *
     * @param id 工艺主键
     * @return 工艺
     */
    @Override
    public ProductCraft selectProductCraftById(Long id) {
        return productCraftMapper.selectProductCraftById(id);
    }

    /**
     * 查询工艺列表
     *
     * @param productCraft 工艺
     * @return 工艺
     */
    @Override
    public List<ProductCraft> selectProductCraftList(ProductCraft productCraft) {
        return productCraftMapper.selectProductCraftList(productCraft);
    }

    /**
     * 新增工艺
     *
     * @param productCraft 工艺
     * @return 结果
     */
    @Override
    public int insertProductCraft(ProductCraft productCraft) {
        productCraft.setCreateTime(DateUtils.getNowDate());
        return productCraftMapper.insertProductCraft(productCraft);
    }

    /**
     * 修改工艺
     *
     * @param productCraft 工艺
     * @return 结果
     */
    @Override
    public int updateProductCraft(ProductCraft productCraft) {
        productCraft.setUpdateTime(DateUtils.getNowDate());
        return productCraftMapper.updateProductCraft(productCraft);
    }

    /**
     * 批量删除工艺
     *
     * @param ids 需要删除的工艺主键
     * @return 结果
     */
    @Override
    public int deleteProductCraftByIds(Long[] ids) {
        return productCraftMapper.deleteProductCraftByIds(ids);
    }

    /**
     * 删除工艺信息
     *
     * @param id 工艺主键
     * @return 结果
     */
    @Override
    public int deleteProductCraftById(Long id) {
        return productCraftMapper.deleteProductCraftById(id);
    }
}
